Subject: Re: Can't build a DLL using gcc
From: Carl Thompson <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Thu, 15 Jun 2000 16:45:12 -0700

Charles Wilson wrote:

> ...

> You probably *should* use def files if (a) you're developing a library
> that other folks might want to use, without recompiling their
> application code, and (b) you want to support those apps that
> 'import-by-number' from the dll. With the no-def-file method, you're
> never guaranteed that the name/numbers will be the same from build to
> build.

I understand what you are saying, but if developers are using my headers and
my import library to link with my DLL, wouldn't they always be importing by
name?  I don't know anything about the import by number method.  Why is it
ever used?  How is it used?  More info, please...

Anyway, I hope at least the information in my message about the alternate
way to build DLLs helped you.

> --Chuck

Carl Thompson

> ...

--
Want to unsubscribe from this list?
Send a message to [email-masked]